org.eclipse.wst.jsdt.js.common.build.system

## Interface ITask

All Known Implementing Classes:
  AbstractTask

    public interface ITask

### Method Summary

All Methods Instance Methods Abstract Methods
`IFile` `getBuildFile()`
`Location` `getLocation()`
`java.lang.String` `getName()`
`boolean` `isDefault()`

### Method Detail

#### getName

    java.lang.String getName()

#### isDefault

    boolean isDefault()

#### getBuildFile

    IFile getBuildFile()

#### getLocation

    Location getLocation()